/**
 * RoleClassServiceDeliveryLocation2.java
 *
 * File generated from the medication2::RoleClassServiceDeliveryLocation2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassServiceDeliveryLocation2.
 *
 * 
 */

@XmlType(name = "RoleClassServiceDeliveryLocation")
@XmlEnum
@XmlRootElement(name = "RoleClassServiceDeliveryLocation2")
public enum RoleClassServiceDeliveryLocation2 {
	@XmlEnumValue("SDLOC")
	SDLOC("SDLOC"),
	@XmlEnumValue("DSDLOC")
	DSDLOC("DSDLOC"),
	@XmlEnumValue("ISDLOC")
	ISDLOC("ISDLOC");
	
	private final String value;

    RoleClassServiceDeliveryLocation2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassServiceDeliveryLocation2 fromValue(String v) {
        for (RoleClassServiceDeliveryLocation2 c: RoleClassServiceDeliveryLocation2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
